# $Id: moodss.spec,v 1.40 1999/05/09 14:58:10 jfontain Exp $

Summary: Modular Object Oriented Dynamic SpreadSheet
Summary(fr): Tableur Orient Objet Modulaire et Dynamique
Name: moodss
Version: 7.0
Release: 1
Copyright: GPL
Group: Utilities/System
Icon: moodss.gif
Source: http://www.multimania.com/jfontain/moodss-7.0.tar.gz
URL: http://multimania.com/jfontain/
Packager: Jean-Luc Fontaine <jfontain@multimania.com>
Requires: tcl >= 8.0, tk >= 8.0, blt >= 2.4, tktable >= 2.2
Buildroot: /tmp/moodss

%description
A modular spreadsheet tool with table, graphical, textual data viewers
and full drag and drop user interface. Can be used as a monitoring
tool through customizable data access modules. Includes ps, cpustats,
memstats, diskstats, mounts, route, arp modules for Linux, as well as
2 statistics modules (apache and apachex) for the Apache WWW server.
Requires blt (present in 5.2 distribution) and tktable (found at
http://rufus.w3.org/) rpms.

%description -l fr
Un tableur modulaire comportant des vues tabulaires, graphiques,
textuelles et support exhaustif du glisser-dplacer. Peut tre utilis
comme outil de supervision par l'intermdiaire de module d'accs aux
donnes. Inclut les modules ps, cpustats, memstats, diskstats, mounts,
route, arp pour Linux, ainsi que 2 modules de statistiques (apache and
apachex) pour le serveur WWW Apache.
Ncessite les rpms blt (prsent dans la distribution 5.2) et tktable
(trouv  http://rufus.w3.org/).

%prep
%setup

%build
cc -shared -o libfilesystem.so.1.0 -O2 -fPIC -Wall filesystem.c
cc -shared -o libnetwork.so.1.2 -O2 -fPIC -Wall network.c

%install
install -d $RPM_BUILD_ROOT/usr/bin
install moodss $RPM_BUILD_ROOT/usr/bin
for name in apache apachex arp cpustats diskstats memstats minimal mounts ps random route; do
    install -d $RPM_BUILD_ROOT/usr/lib/moodss/$name
    install -m 644 $name/{pkgIndex.tcl,$name.tcl} $RPM_BUILD_ROOT/usr/lib/moodss/$name
done
install -m 644 apache/apacheu.tcl apache/apache.htm $RPM_BUILD_ROOT/usr/lib/moodss/apache
install -m 644 apachex/apachex.htm $RPM_BUILD_ROOT/usr/lib/moodss/apachex
install -m 644 arp/arp.htm arp/vendor.txt $RPM_BUILD_ROOT/usr/lib/moodss/arp
install -m 644 random/random.htm random/random.gif $RPM_BUILD_ROOT/usr/lib/moodss/random
install -d $RPM_BUILD_ROOT/usr/lib/moodss/packlibs
install -m 644 packlibs/{pkgIndex.tcl,network.tcl} $RPM_BUILD_ROOT/usr/lib/moodss/packlibs
install libfilesystem.so.1.0 libnetwork.so.1.2 $RPM_BUILD_ROOT/usr/lib/moodss/packlibs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES INSTALL COPYRIGHT BUGS TODO moodss.htm h2dpie.gif h3dpie.gif hfreetxt.gif hgraph.gif moodss.gif moodss1.gif moodss2.gif moodss3.gif moodss4.gif moodss5.gif moodss6.gif hoverbar.gif hsidebar.gif hstackbr.gif hsumtbl.gif
/usr/bin/moodss
/usr/lib/moodss
